// scrollPage, afterSectionLoads, getAnchorsURL - in fullpage.js
var username = null, avatar = null, points = 0, score = 0, percent = 0, temp = 0, progress = 0;
var is_eBridge = false, bookmark, totalPages = 24, startPageNo = 23;
var navigationArr = [3, 3, 7, 0, 0], menuInc = 1, popupCnt = 0, popupArr5 = [0,0], popupArr24 = [0,0,0,0,0,0,0,0], popupArr25 = [0,0,0,0,0];

$(document).ready(function(){
	$("#fp-nav").hide();
	// console.log('Suspend Data == '+suspendData);
	var isMobile_1 = /iPhone|Android/i.test(navigator.userAgent);
    var userAgent = navigator.userAgent.toLowerCase();
    var isTablet = /(ipad|tablet|(android(?!.*mobile))|(windows(?!.*phone)(.*touch))|kindle|playbook|silk|(puffin(?!.*(IP|AP|WP))))/.test(userAgent);
   
    if (isMobile_1 != true || isTablet == true) {
		$('#audio-modal').modal({
			show: true,
			backdrop: false
		});
	}
	$("#pageId").text(startPageNo+1);
	// console.log('Suspend Data == '+suspendData);

	progress = Math.round(((startPageNo+1)/totalPages)*100);
	// console.log(temp+'---'+progress)
	$("#course-progress").css({'width':progress});
	$("#course-progress").attr('aria-valuenow', progress);
	// $('#audio-modal').modal({
	// 	show: true,
	// 	backdrop: false
	// });
	var pageNo=0
	URL = 'topic6';
	if (isScorm == true) {
		setBookmark(pageNo, URL);
	}

	if (isMobile_1 != true || isTablet == true) {
		var AudioPlay=	document.getElementById('page-audio');
		$("#page-audio").attr('src', './assets/audio/topic6/page1.mp3');
		AudioPlay.load();
		AudioPlay.addEventListener('loadeddata',
			// Close the popup
			$("#audio-modal").modal('hide')
		,false);

		$("#page-audio")[0].addEventListener('loadeddata',
			$("#page-audio")[0].play()
		,false);

		fullpage_api.setAllowScrolling(true, 'all');
		fullpage_api.setKeyboardScrolling(true, 'all');
	}else {
		$("#audio-modal").modal('hide')
	}
});

function playVideo(flag){
	if (flag == 1) {
		disableScrollPopup();
		
		$("#intro-video").modal({
			show: true,
			backdrop: false
		});
	}
}

var vid = document.getElementById("videoPage");
if (vid) {
	vid.onended = function(){
		enableScrollPopup();
		$("#intro-video").modal('hide');
	}
}

this.transcriptText(0);
function callToPlayAudio(page_no){
	if (page_no != 0) {
		$("#page-audio")[0].pause();
	    $("#page-audio")[0].play();
	}
	if (isScorm == true) {
		setBookmark(pageNo, URL);
	}
	if (is_eBridge == true) {
		parent.updatePageInfo(Number(page_no+1));
	}
	// console.log('Suspend Data == '+suspendData);
}

function loadData(id){
	stopAudio(id)
	fullpage_api.setAllowScrolling(true);
	fullpage_api.setKeyboardScrolling(true, 'up,down');
}

function AudioAutoPlay(id){
	$("#page-audio")[0].addEventListener('loadeddata',
		callToPlayAudio(id)
	,false);
}

function stopAudio(page_no){
	$("#page-audio")[0].pause();
	if (page_no != 0) {
		var AudioPlay=	document.getElementById('page-audio');
		$("#page-audio").attr('src', './assets/audio/topic8/page'+page_no+'.mp3');
		AudioPlay.load();
		AudioPlay.addEventListener('loadeddata',
			fullpage_api.moveTo(page_no)
		,false);
	}


	if (suspendData[page_no-1] == 0 || suspendData[page_no-1] == '') {
		if (isScorm) {
			disableScrollPopup();
			$("#next").removeClass('animate-btn').addClass('disabled');
		}
	}else{
		enableScrollPopup();
	}
}

function audioMute(){
	$("audio")[0].volume = 0;
	$(".audio-btn").attr('onclick', 'audioUnmute()');
	$(".audio-btn i").removeClass('fa-volume-up').addClass('fa-volume-off');
	$(".audio-btn i").addClass('mute');
}

function audioUnmute(){
	$("audio")[0].volume = 1;
	$(".audio-btn").attr('onclick', 'audioMute()');
	$(".audio-btn i").addClass('fa-volume-up').removeClass('fa-volume-off');
	$(".audio-btn i").removeClass('mute');
}

function transcriptText(page_no){
	$.getJSON("./data/transcript6.json", function(data){
		var page_trans = data[page_no].content;
		if (page_trans != '') {
			$(".transcript-btn").removeClass('disabled');
			$(".transcript-text").html(page_trans);
		}else {
			$(".transcript-btn").addClass('disabled');
		}
	});
}

function transcriptToggle(){
	$(".transcript-box").toggleClass('display hide');
}

$('.custom-overlay-content a').click(function(){
	$(this).siblings('a').removeClass('current');
	$(this).addClass('current');
	setTimeout(function(){
		closeNav();
	}, 150);
});

function updatePageNo(page_no) {
	var pageId = Number(page_no);
    if(pageId.toString().length == 1) {
        pageId = '0'+pageId;
    }
    $("#pageId").text(pageId);
}

$('input:radio[class="kn-radio"]').change(function(){
    if ($(this).is(':checked')) {
        $('#submit1').prop('disabled', false);
    }
});
$('input:radio[class="kn1-radio"]').change(function(){
    if ($(this).is(':checked')) {
        $('#submit2').prop('disabled', false);
    }
});
$('input:radio[class="kn2-radio"]').change(function(){
    if ($(this).is(':checked')) {
        $('#submit3').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio1"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit1').prop('disabled', false);
    }
});
$('input:checkbox[name="assessCheck2"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit2').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio3"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit3').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio4"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit4').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio5"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit5').prop('disabled', false);
    }
});

// Navigation Disable
function enablePreNav(){
	$(".fp-prev").css({'opacity':'1', 'pointer-events':'all'});
}

function disablePreNav(){
	$(".fp-prev").css({'opacity':'0.3', 'pointer-events':'none'});
}

function enableNextNav(){
	$(".fp-next").css({'opacity':'1', 'pointer-events':'all'});
}

function disableNextNav(){
	$(".fp-next").css({'opacity':'0.3', 'pointer-events':'none'});
}

function startAssessment(){
	$(".assessment-start").addClass('hide');
	$(".assessment-ques1").removeClass('hide');
	$(".menu-icons").addClass('disabled');
	disableScrollPopup();
}

function checkAns(form_id){
	var isMobile_1 = /iPhone|Android/i.test(navigator.userAgent);
    var userAgent = navigator.userAgent.toLowerCase();
    var isTablet = /(ipad|tablet|(android(?!.*mobile))|(windows(?!.*phone)(.*touch))|kindle|playbook|silk|(puffin(?!.*(IP|AP|WP))))/.test(userAgent);
   
    if (isMobile_1 != true || isTablet == true) {
		var page = myFullpage.getAnchorsURL();
		var page_no = page.section;
	}else {
		var page_no = 0;
	}
	if (form_id == 1) {
		score = 0;
		var ans = $("input[name='assessRadio1']:checked").val();
		if (ans == 2) {
			// show correct feedback
			$("#assessment-feedback1").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-9 scrn33_ques1_feedback_correct">'
						+'<p class="textWhite text-bold">That’s Correct.</p>'
						+'<p class="textWhite">Compassion fatigue is associated with exposure to other people’s strong emotions. There can be an increased risk of compassion fatigue for empathetic people. </p>'
						
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			points = Number(points) + 20;
			$("#assessRadio1_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback1").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques1_feedback_incorrect">'
						+'<p class="textWhite text-bold">That’s Incorrect.</p>'
						+'<p class="textWhite">Compassion fatigue is associated with exposure to other people’s strong emotions. There can be an increased risk of compassion fatigue for empathetic people. </p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio1_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio1_2").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio1").attr('disabled', true);
		$(".quiz_label1").addClass('disable-inputs');
		$("#assess-submit1").text('CONTINUE');
		$("#assess-submit1").attr("onclick", '$(".assessment-ques1").addClass("hide"); $(".assessment-ques2").removeClass("hide");');

		// Scorm bookmarking
		if (isScorm == true) {
			setBookmark(page_no, URL);
		}
	}else if (form_id == 2) {
		var tempArray = [], wrongArr = [];
		$.each($("input[name='assessCheck2']:checked"), function () {
			temp = $(this).val();
			if (temp != 3 && temp !=5) {
				tempArray.push(temp);
			}else {
				wrongArr.push(temp);
				$("#assessCheck2_"+temp).html('<i class="fa fa-times wrong-ans text-danger"></i>');
			}
		});
		$("#assessCheck2_1").html('<i class="fa fa-check correct-ans text-success"></i>');
		$("#assessCheck2_2").html('<i class="fa fa-check correct-ans text-success"></i>');
		$("#assessCheck2_4").html('<i class="fa fa-check correct-ans text-success"></i>');
		$("#assessCheck2_6").html('<i class="fa fa-check correct-ans text-success"></i>');

		if (tempArray.length == 4 && wrongArr.length == 0) {
			// check and show feedback
			$("#assessment-feedback2").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques3_feedback_correct">'
						+'<span class="textWhite text-bold">That\'s Correct.</span>'
						+'<p class="textWhite">Symptoms to compassion fatigue include:</p>'
						+'<ul class="listStyle">'
							+'<li>Chronic physical and mental exhaustion</li>'
							+'<li>Depersonalisation</li>'
							+'<li>Feelings of inequity towards the therapeutic or caregiver relationship</li>'
							+'<li>Indifference towards the needs of patients’ or owners’ intrusive thoughts about recent losses</li>'
							+'<li>Feelings of self-contempt</li>'
							+'<li>Difficulty sleeping</li>'
							+'<li>Weight loss</li>'
							+'<li>Headaches</li>'
							+'<li>Poor job satisfaction</li>'
						+'</ul>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			points = Number(points) + 20;
		}else {
			// show incorrect feedback
			$("#assessment-feedback2").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques3_feedback_incorrect">'
						+'<span class="textWhite text-bold">That\'s Incorrect.</span>'
						+'<p class="textWhite">Symptoms to compassion fatigue include:</p>'
						+'<ul class="listStyle">'
							+'<li>Chronic physical and mental exhaustion</li>'
							+'<li>Depersonalisation</li>'
							+'<li>Feelings of inequity towards the therapeutic or caregiver relationship</li>'
							+'<li>Indifference towards the needs of patients’ or owners’ intrusive thoughts about recent losses</li>'
							+'<li>Feelings of self-contempt</li>'
							+'<li>Difficulty sleeping</li>'
							+'<li>Weight loss</li>'
							+'<li>Headaches</li>'
							+'<li>Poor job satisfaction</li>'
						+'</ul>'
						+'</div>'
						+'</div>'
						+'</div>');
						$("#assessCheck2_3").html('<i class="fa fa-times wrong-ans text-danger"></i>');
						$("#assessCheck2_5").html('<i class="fa fa-times wrong-ans text-danger"></i>');
		}
		$.each($("input[name='assessCheck2']"), function () {
			$(this).attr('disabled', 'disabled');
		});
		$("#assess-submit2").text('CONTINUE');
		$(".assessment-ques2 .custom-checkbox1").addClass('disable-inputs');
		$("#assess-submit2").attr("onclick", '$(".assessment-ques2").addClass("hide"); $(".assessment-ques3").removeClass("hide");');

		// Scorm bookmarking
		if (isScorm == true) {
			setBookmark(page_no, URL);
		}
	}else if (form_id == 3) {
		var ans = $("input[name='assessRadio3']:checked").val();
		if (ans == 2) {
			// show correct feedback
			$("#assessment-feedback3").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-9 scrn33_ques3_feedback_correct">'
						+'<p class="textWhite text-bold">That’s Correct.</p>'
						+'<p class="textWhite">As a veterinary professional, you have the unique pressure to euthanise animals. This pressure can include a sense of guilt for causing emotional pain to the owner, even though the procedure is agreed upon and needed to stop an animal’s sufferings.</p>'
						+'<p class="textWhite">Additionally, the reasons for euthanasia are complicated at times, such as euthanising a healthy dog that has severe behavioural problems.</p>'
						
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			points = Number(points) + 20;
			$("#assessRadio3_2").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback3").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques3_feedback_incorrect">'
						+'<p class="textWhite text-bold">That’s Incorrect.</p>'
						+'<p class="textWhite">As a veterinary professional, you have the unique pressure to euthanise animals. This pressure can include a sense of guilt for causing emotional pain to the owner, even though the procedure is agreed upon and needed to stop an animal’s sufferings.</p>'
						+'<p class="textWhite">Additionally, the reasons for euthanasia are complicated at times, such as euthanising a healthy dog that has severe behavioural problems.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio3_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio3_2").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio3").attr('disabled', true);
		$(".quiz_label3").addClass('disable-inputs');
		$("#assess-submit3").text('CONTINUE');
		$("#assess-submit3").attr("onclick", '$(".assessment-ques3").addClass("hide"); $(".assessment-ques4").removeClass("hide");');

		// Scorm bookmarking
		if (isScorm == true) {
			setBookmark(page_no, URL);
		}
	}else if (form_id == 4) {
		var ans = $("input[name='assessRadio4']:checked").val();
		if (ans == 1) {
			// show correct feedback
			$("#assessment-feedback4").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-9 scrn33_ques1_feedback_correct">'
						+'<p class="textWhite text-bold">That’s Correct.</p>'
						+'<p class="textWhite">Practice protocols should allow time for mentoring and team meetings, including Euthanasia Evaluation (EE) meetings.</p>'
						
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			points = Number(points) + 20;
			$("#assessRadio4_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback4").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques1_feedback_incorrect">'
						+'<p class="textWhite text-bold">That’s Incorrect.</p>'
						+'<p class="textWhite">Practice protocols should allow time for mentoring and team meetings, including Euthanasia Evaluation (EE) meetings.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio4_2").before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio4_1").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio4").attr('disabled', true);
		$(".quiz_label4").addClass('disable-inputs');
		$("#assess-submit4").text('CONTINUE');
		$("#assess-submit4").attr("onclick", '$(".assessment-ques4").addClass("hide"); $(".assessment-ques5").removeClass("hide");');

		// Scorm bookmarking
		if (isScorm == true) {
			setBookmark(page_no, URL);
		}
	}else if (form_id == 5) {
		var ans = $("input[name='assessRadio5']:checked").val();
		if (ans == 6) {
			// check and show feedback
			$("#assessment-feedback5").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques5_feedback_correct">'
						+'<p class="textWhite text-bold">That’s Correct.</p>'
						+'<p class="textWhite">All these are ways you can treat compassion fatigue and create a peaceful environment around you.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			points = Number(points) + 20;
			$("#assessRadio5_6").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback5").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-12 scrn33_ques5_feedback_incorrect">'
						+'<p class="textWhite text-bold">That’s Incorrect.</p>'
						+'<p class="textWhite">All these are ways you can treat compassion fatigue and create a peaceful environment around you.</p>'
						
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio5_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio5_6").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio5").attr('disabled', true);
		$(".quiz_label5").addClass('disable-inputs');
		$("#assess-submit5").text('CONTINUE');
		$("#assess-submit5").attr("onclick", '$(".assessment-ques5").addClass("hide"); $(".assessment-summary").removeClass("hide");');

		$("#score").text(score);
		if (score >= 4) {
			$("#retake").hide();
			$("#final-assessment-feedback").text('You have now successfully completed the module on “Compassion Fatigue”.');
		}else {
			$("#retake").show();
			$("#final-assessment-feedback").text('Please retake the assessment to complete this module on “Compassion Fatigue”.');
		}

		// Scorm bookmarking
		if (isScorm == true) {
			if (score >= 4) {
				setScore(points);
				courseComplete();
			}
		}
	}
}

function reset(){
	$(".assess-radio1").attr('disabled', false).attr('checked',false);
	$(".assess-radio4").attr('disabled', false).attr('checked',false);
	$(".assess-radio3").attr('disabled', false).attr('checked',false);
	$.each($("input[name='assessCheck2']"), function () {
		$(this).attr('disabled', false).attr('checked',false);
	});
	$.each($("input[name='assessCheck2]"), function () {
		$(this).attr('disabled', false).attr('checked',false);
	});
	$(".assess-radio5").attr('disabled', false).attr('checked',false);

	$("#assess-submit1").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(1)');
	$("#assess-submit2").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(2)');
	$("#assess-submit3").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(3)');
	$("#assess-submit4").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(4)');
	$("#assess-submit5").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(5)');

	$(".feedbacksection_scrn9").html('');

	$(".assessment-summary").addClass('hide');
	$(".assessment-start").removeClass('hide');

	$(".quiz_label1").removeClass('disable-inputs');
	$(".quiz_label2").removeClass('disable-inputs');
	$(".quiz_label3").removeClass('disable-inputs');
	$(".quiz_label4").removeClass('disable-inputs');
	$(".quiz_label5").removeClass('disable-inputs');

	$(".assessment-feedback-icon").hide();
	$(".answer").html('');

	$(".menu-icons").removeClass('disabled');

	score = 0;
	points = 0;
}

function disableScrollPopup(){
	var isMobile_1 = /iPhone|Android/i.test(navigator.userAgent);
    var userAgent = navigator.userAgent.toLowerCase();
    var isTablet = /(ipad|tablet|(android(?!.*mobile))|(windows(?!.*phone)(.*touch))|kindle|playbook|silk|(puffin(?!.*(IP|AP|WP))))/.test(userAgent);
   
    if (isMobile_1 != true || isTablet == true) {
		myFullpage.setAllowScrolling(false, 'all');
	    myFullpage.setKeyboardScrolling(false, 'all');
	}
}

function enableScrollPopup(){
	var isMobile_1 = /iPhone|Android/i.test(navigator.userAgent);
    var userAgent = navigator.userAgent.toLowerCase();
    var isTablet = /(ipad|tablet|(android(?!.*mobile))|(windows(?!.*phone)(.*touch))|kindle|playbook|silk|(puffin(?!.*(IP|AP|WP))))/.test(userAgent);
   
    if (isMobile_1 != true || isTablet == true) {
		myFullpage.setAllowScrolling(true, 'all');
	    myFullpage.setKeyboardScrolling(true, 'all');
	}
}

function toggleMenu(){
	$(".menu-popup").toggleClass('show ');
}

function updateProgressBar(page_no, direction){
	page_no = Number(page_no) + 22;
	updatePageNo(page_no);
	if (direction == 'down') {
		progress = Math.round((page_no/totalPages)*100);
		// console.log(temp+'---'+progress)
		if (temp <= progress) {
			$("#course-progress").css({'width':progress});
			$("#course-progress").attr('aria-valuenow', progress);
			temp = progress;
		}
	}
}

function navigation(page_no, direction){
	var prev = Number(page_no-1);
	var next = Number(page_no)+Number(1);
	var prevAnchor = 'loadData('+prev+')';
	var nextAnchor = 'loadData('+next+')';
	$(".custom-nav #prev").attr('onclick', prevAnchor);
	$(".custom-nav #next").attr('onclick', nextAnchor);


	if($("#indi"+prev).hasClass('active')){
		$("#indi"+prev).removeClass('active').addClass('done');
	}

	if($("#indi"+next).hasClass('active')){
		$("#indi"+next).removeClass('active').addClass('done');
	}
	
	$("#indi"+page_no).addClass('active');
}